//
- Run an AI 2D Virtual Try On Necklace task.
Check the status of a AI 2D Virtual Try On Necklace task.
Run an AI 2D Virtual Try...
This endpoint initiates the necklace virtual try-on process. You must provide source file(s) and reference image(s) (via URL or File ID), along with specific parameters for alignment, shadowing, and wearing location. The task will be processed asynchronously, and you can check its status using the task_id returned in this response.
Security
BearerAuthenticationV2
Any of:
Url of the file to run task. The url should be publicly accessible.
Example:"https://example.com/selfie.jpg"
Url of the source mask file to run task. The url should be publicly accessible.
Example:"https://example.com/src_mask.jpg"
POST
- any
- any (2)
- any (3)
- any (4)
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/necklace \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"srcmsk_file_url": "https://example.com/src_mask.jpg",
"ref_file_urls": [
"https://example.com/vto_sku.jpg"
],
"source_info": {
"name": "https://example.com/selfie.jpg",
"mask_name": "https://example.com/src_mask.jpg"
},
"object_infos": [
{
"name": "https://example.com/vto_sku.jpg",
"parameter": {
"necklace_need_remove_background": true,
"necklace_anchor_point": null,
"necklace_wearing_location": null,
"necklace_shadow_intensity": 0.5,
"necklace_ambient_light_intensity": 0.5
}
}
]
}'Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }